package com.pusong.business.domain.vo.home;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class UserAmountInfoVo {
    /**
     * 用户id
     */
    private Long userId;

    private String dateStr;
    /**
     * 用户名字
     */
    private String nickName;
    /**
     * 合同数量
     */
    private Integer contractNum=0;
    /**
     * 合同总金额
     */
    private BigDecimal sumAmount=new BigDecimal(0);
    /**
     * 已支付总金额
     */
    private BigDecimal payedSumAmount=new BigDecimal(0);
    /**
     * 未支付金额
     */
    private BigDecimal unPaySumAmount=new BigDecimal(0);

    public void addContractNum(){
        contractNum++;
    }
    public void addSumAmount(BigDecimal amount){
        if(amount==null){return;}
        sumAmount=sumAmount.add(amount);
    }
    public void addPayedSumAmount(BigDecimal amount){
        if(amount==null){return;}
        payedSumAmount=payedSumAmount.add(amount);
    }
}
